Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.flow.table
Class BorderSpecification

    java.lang.Object
      org.apache.fop.fo.flow.table.BorderSpecification

    public class BorderSpecification

extends java.lang.Object

A border's informations, along with the FO element which declared it. Used for border resolution in the collapsing-border model.

Constructor Summary
`BorderSpecification(CommonBorderPaddingBackground.BorderInfo borderInfo, int holder)` Creates a new border specification.

Method Summary
`CommonBorderPaddingBackground.BorderInfo` | `getBorderInfo()` Returns this border's informations.
`int` | `getHolder()` Returns the FO element declaring this border.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BorderSpecification

    public BorderSpecification(CommonBorderPaddingBackground.BorderInfo borderInfo,
                               int holder)

  Creates a new border specification.

  Parameters:
    `borderInfo` - the border's informations
    `holder` - the FO element declaring this border

Method Detail

### getBorderInfo

    public CommonBorderPaddingBackground.BorderInfo getBorderInfo()

  Returns this border's informations.

  Returns:
    this border's informations

### getHolder

    public int getHolder()

  Returns the FO element declaring this border.

  Returns:
    one of `Constants.FO_TABLE`, `Constants.FO_TABLE_COLUMN`, `Constants.FO_TABLE_HEADER`, `Constants.FO_TABLE_FOOTER`, `Constants.FO_TABLE_BODY`, `Constants.FO_TABLE_ROW`, `Constants.FO_TABLE_CELL`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.